# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证套包结构调整后审核是否拦截,2264,2264-33,sit,bs
主数据平台:套包核验接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包核验
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url32")
request_body = commonFuc().get_business_data(module, "payload32")

"""
 场景:验证套包结构调整后审核是否拦截
 用例名称：验证套包结构调整后审核是否拦截
 输出：{"errType": 5}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result = {"errType": result["data"][0]["errType"]}

result["api_time"] = api_time
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict32")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
